Alien::Package::Pkg(3)

NAME
Alien::Package::Pkg - an object that represents a Solaris pkg package

DESCRIPTION
This is an object class that represents a pkg package, as used in Solaris. It is derived from Alien::Package.

CLASS DATA

scripttrans
    Translation table between canoical script names and the names used in pkg's.

METHODS

init
    This class needs the Solaris pkginfo and kgtrans tools to work.

converted_name
    Convert name from something debian-like to something that the Solaris constraints will handle (i.e. 9 chars max).

checkfile
    Detect pkg files by their contents.

install
    Install a pkg with pkgadd. Pass in the filename of the pkg to install.

scan
    Scan a pkg file for fields.

unpack
    Unpack pkg.

prep
    Adds a populated install directory to the build tree.

build
    Build a pkg.

AUTHOR
Mark Hershberger <mah@everybody.org>